Image::ExifTool::CanonCustom(3)

NAME
Image::ExifTool::CanonCustom - Read and Write Canon custom functions

SYNOPSIS
This module is loaded automatically by Image::ExifTool when required.

DESCRIPTION
The Canon custom functions meta information is very specific to the camera model, and is found in both the EXIF maker notes and in the Canon RAW files. This module contains the definitions necessary for Image::ExifTool to read this information.

AUTHOR
Copyright 2003-2024, Phil Harvey (philharvey66 at gmail.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

REFERENCES

<http://park2.wakwak.com/~tsuruzoh/Computer/Digicams/exif-e.html>

ACKNOWLEDGEMENTS
Thanks to Christian Koller for his work in decoding the 20D custom functions, Rainer Honle for decoding the 5D custom functions and David Pitcher for adding a few undocumented 1DmkIII settings.

SEE ALSO
"Canon Tags" in Image::ExifTool::TagNames, Image::ExifTool(3pm)